User account creation filtered due to spam.

Bug 24882 - [meta-bug] Non-refcounted, moveable basic_string
Summary: [meta-bug] Non-refcounted, moveable basic_string
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 4.1.0
: P3 enhancement
Target Milestone: 5.0
Assignee: Not yet assigned to anyone
URL:
Keywords: meta-bug
Depends on: 33394 53221 54392 56437 60278
Blocks: 16612 21334 19495 24196
  Show dependency treegraph
 
Reported: 2005-11-15 20:59 UTC by Paolo Carlini
Modified: 2015-03-23 13:02 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-02-20 18:30:31


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Carlini 2005-11-15 20:59:54 UTC
This meta-bug tracks work on a new, ABI-breaking, basic_string implementation.
Currently, we have refactored code in v7-branch which includes two alternative
base classes: one doesn't use reference counting, is optimized for short
strings and includes (simulated) move constructor and assignment operator (is
rather similar to Design D in Effective STL.

A few recent threads about this topic:

- Alternative tradeoffs:
    http://gcc.gnu.org/ml/libstdc++/2005-11/msg00013.html

- Special mini-string for <stdexcept>:
    http://gcc.gnu.org/ml/libstdc++/2005-11/msg00166.html
Comment 1 Jonathan Wakely 2014-12-19 18:19:05 UTC
The new std::string implementation has been committed as https://gcc.gnu.org/r218964

I'll go through the bugs linked to this PR and deal with them asap.
Comment 2 Jonathan Wakely 2015-03-23 13:02:29 UTC
Done for GCC 5